## org.eclipse.emf.cdo.common.model
Enum CDOPackageUnit.State

    java.lang.Object
      java.lang.Enum<CDOPackageUnit.State>
          org.eclipse.emf.cdo.common.model.CDOPackageUnit.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CDOPackageUnit.State>

Enclosing interface:
  CDOPackageUnit

    public static enum CDOPackageUnit.State

extends java.lang.Enum<CDOPackageUnit.State>

Enum Constant Summary
`DISPOSED`
`LOADED`
`NEW`
`PROXY`

Method Summary
`static CDOPackageUnit.State` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CDOPackageUnit.State[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEW

    public static final CDOPackageUnit.State NEW

### LOADED

    public static final CDOPackageUnit.State LOADED

### PROXY

    public static final CDOPackageUnit.State PROXY

### DISPOSED

    public static final CDOPackageUnit.State DISPOSED

Method Detail

### values

    public static final CDOPackageUnit.State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CDOPackageUnit.State c : CDOPackageUnit.State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CDOPackageUnit.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.